using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Snapshot;

/// <summary>
/// 红包领取状态;
/// 0: 未领取;
/// 1: 已领取;
/// </summary>
[Description("红包领取状态")]
public enum ERedPackPickupStatus
{
    /// <summary>
    /// 未领取
    /// </summary>
    [Description("未领取")]
    Unreceived = 0,

    /// <summary>
    /// 已领取
    /// </summary>
    [Description("已领取")]
    Received = 1,

    /// <summary>
    /// 退回
    /// </summary>
    [Description("退回")]
    Back = 2,

    /// <summary>
    /// 婉拒
    /// </summary>
    [Description("婉拒")]
    Excuse = 3
}
